Trigger backup migration
Triggers the migration of backups from the source ONTAP cluster to the target ONTAP cluster. Use this to initiate the transfer of backup data between clusters for recovery or archival purposes.
HTTP method and endpoint
POST /account/{accountId}/providers/cloudmanager_cbs/api/v1/migration
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
accountId |
string |
path |
True |
Account ID |
authorization |
string |
header |
True |
Request Body
| Name | Type | Required | Description |
|---|---|---|---|
sourceWorkingEnvironmentId |
string |
True |
|
migrationWorkingEnvironmentId |
string |
True |
|
migrationMappingDetails |
array[migrationMappingDetails] |
True |
|
ip-space |
string |
False |
Required input field for on-premises use cases |
aws |
False |
||
azure |
False |
||
gcp |
False |
Example request
{
"sourceWorkingEnvironmentId": "string",
"migrationWorkingEnvironmentId": "string",
"migrationMappingDetails": [
{
"sourceVolumeUuid": "string",
"migratedVolumeUuid": "string",
"policyName": "string"
}
],
"ip-space": "string",
"aws": {
"private-endpoint": {
"id": "string"
}
},
"azure": {
"private-endpoint": {
"subnet": "string"
}
},
"gcp": {
"access-key": "string",
"secret-password": "string"
}
}
Response
Status: 202, Default response
| Name | Type | Required | Description |
|---|---|---|---|
job-id |
string |
False |
Example response
{
"job-id": "string"
}
Definitions
See Definitions
migrationMappingDetails
| Name | Type | Required | Description |
|---|---|---|---|
sourceVolumeUuid |
string |
False |
|
migratedVolumeUuid |
string |
False |
|
policyName |
string |
False |
private-endpoint
Required input field for on-premises use case for private link configuration
| Name | Type | Required | Description |
|---|---|---|---|
id |
string |
False |
Optional input field for a private endpoint |
aws
| Name | Type | Required | Description |
|---|---|---|---|
private-endpoint |
False |
Required input field for on-premises use case for private link configuration |
private-endpoint
Required input field for private link configuration
| Name | Type | Required | Description |
|---|---|---|---|
subnet |
string |
False |
Required input field for on-premises private link configuration |
skip-creation |
boolean |
False |
Optional input field to skip private endpoint creation |
azure
| Name | Type | Required | Description |
|---|---|---|---|
private-endpoint |
False |
Required input field for private link configuration |
gcp
| Name | Type | Required | Description |
|---|---|---|---|
access-key |
string |
False |
Required input field for on-premises use cases |
secret-password |
string |
False |
Required input field for on-premises use cases |